> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fund transfer

> Initiate a fund transfer from the current payout destination to another
payout destination. Currently only same-account fund transfers are
supported.

Requests for fund transfers are processed asynchronously, so in the response
we only inform you that we received a valid request. You will get the result in
the settlement report.

scopes:
  - write:payout
  - admin:payout
  - write:accounts:/fund-transfers




## OpenAPI

````yaml /mintlify-docs/openapi/spec-payments-v2.yaml post /accounts/{oid}/management/payout-destinations/{payout_destination_id}/fund-transfers
openapi: 3.0.0
info:
  title: Payments API v2
  contact:
    name: API Integration Support
    email: integration@dintero.com
  description: |
    Public endpoints for payments served under the account-scoped URL format
    `https://api.dintero.com/v1/accounts/{aid}/...`.
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
  x-logo:
    url: https://docs.dintero.com/img/dintero-dark-padded.svg
    altText: Dintero Logo
servers:
  - url: https://api.dintero.com/v1
security:
  - JWT: []
tags:
  - name: Transactions
    x-displayName: Transactions
    description: |
      View and perform operations on transactions
  - name: session
    x-displayName: Sessions
    description: |
      A Checkout Session relates to an order in your system.
      When an order has been placed you create a corresponding Checkout Session
      to receive payment for that order.
  - name: payment
    x-displayName: Payment
    description: |
      Resources used by the customer aka user to complete the payment of a
      session.
  - name: settlements
    x-displayName: Settlement reports
    description: Get settlement reports generated per payout
  - name: settlements.configuration
    x-displayName: Configuration
    description: Configure settlement reports
  - name: reports
    x-displayName: Reports
    description: List the generated monthly transaction reports
  - name: Sellers
    x-displayName: Sellers
    description: Manage the signup of a new Seller / Merchant account
  - name: example-session-callbacks
    x-displayName: Example Callbacks
    description: Example of callbacks delivered
  - name: v2-config-payout-destinations
    x-displayName: Sellers
    description: Get payout data for sellers
  - name: Card Tokens
    description: |
      Manage card tokens
  - name: terminals
    x-displayName: Terminals
    description: Terminal operations
  - name: v2-fund-transfers
    x-displayName: Fund transfers
    description: Transfer funds between sellers
  - name: payout-destinations
    x-displayName: payout destinations
    description: |
      Payout destinations
  - name: account-stores
    x-displayName: stores
    description: |
      Manage account stores
  - name: account-terminals
    x-displayName: terminals
    description: |
      Manage account terminals
  - name: report-configuration
    x-displayName: Report configuration
    description: Manage report configurations
  - name: kpi
    x-displayName: KPI
    description: Get KPI data
paths:
  /accounts/{oid}/management/payout-destinations/{payout_destination_id}/fund-transfers:
    post:
      tags:
        - payout-destinations
        - fund-transfers
      summary: oid_mgmnt_payout_destinations_fund-transfers_post
      description: >
        Initiate a fund transfer from the current payout destination to another

        payout destination. Currently only same-account fund transfers are

        supported.


        Requests for fund transfers are processed asynchronously, so in the
        response

        we only inform you that we received a valid request. You will get the
        result in

        the settlement report.


        scopes:
          - write:payout
          - admin:payout
          - write:accounts:/fund-transfers
      operationId: oid_mgmnt_payout_destinations_fund-transfers_post
      parameters:
        - $ref: '#/components/parameters/owner'
        - $ref: '#/components/parameters/AuthPayoutDestinationId'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FundTransferInput'
        required: true
      responses:
        '200':
          $ref: '#/components/responses/FundTransfer'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - JWT: []
components:
  parameters:
    owner:
      name: oid
      description: |
        An id that uniquely identifies the account or owner (partner)
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$
    AuthPayoutDestinationId:
      name: payout_destination_id
      description: The payout destination identifier
      in: path
      required: true
      schema:
        type: string
  schemas:
    FundTransferInput:
      type: object
      additionalProperties: false
      required:
        - fund_transfer_id
        - amount
        - currency
        - reference
        - destination
      properties:
        fund_transfer_id:
          type: string
          minLength: 1
          description: >
            A string that uniquely identifies the fund transfer. The
            `fund_transfer_id` is used

            for idempotent processing so you can safely retry the request with
            same

            `fund_transfer_id` (e.g., in case of a timeout).
          example: 6ee80e6583944751997c988ed9f74740
        amount:
          type: integer
          minimum: 1
          description: >-
            The amount of the fund transfer in the smallest unit of the
            currency.
          example: 499000
        currency:
          type: string
          maxLength: 3
          minLength: 3
          format: iso-4217
          example: NOK
        reference:
          type: string
          maxLength: 60
          description: >
            A static reference that will be included on settlements made to the
            sellers.
        destination:
          $ref: '#/components/schemas/FundTransferPayoutDestinationParticipant'
    FundTransferPayoutDestinationParticipant:
      x-discriminator-value: payout-destination
      allOf:
        - $ref: '#/components/schemas/FundTransferParticipantBase'
        - required:
            - account_id
            - payout_destination_id
          properties:
            type:
              type: string
              enum:
                - payout-destination
            account_id:
              type: string
              example: P12345678
            payout_destination_id:
              type: string
              example: PPD-MX9421N
      title: payout-destination
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
    FundTransferParticipantBase:
      type: object
      properties:
        type:
          type: string
      required:
        - type
  responses:
    FundTransfer:
      description: Fund transfer initiated
      content:
        application/json:
          schema:
            type: object
            additionalProperties: false
            required:
              - fund_transfer_id
              - amount
              - currency
              - reference
              - source
              - destination
              - created_at
              - created_by
            properties:
              fund_transfer_id:
                type: string
                description: >
                  A string that uniquely identifies the fund transfer. The
                  `fund_transfer_id` is used

                  for idempotent processing so you can safely retry the request
                  with same

                  `fund_transfer_id` (e.g., in case of a timeout).
                example: 6ee80e6583944751997c988ed9f74740
              amount:
                type: integer
                minimum: 1
                description: >-
                  The amount of the fund transfer in the smallest unit of the
                  currency
              currency:
                type: string
                maxLength: 3
                minLength: 3
                format: iso-4217
                example: NOK
              reference:
                type: string
                maxLength: 60
                description: >
                  A static reference that will be included on settlements made
                  to the sellers
              source:
                $ref: '#/components/schemas/FundTransferPayoutDestinationParticipant'
              destination:
                $ref: '#/components/schemas/FundTransferPayoutDestinationParticipant'
              created_at:
                type: string
                format: date-time
                description: The date-time when the resource was created
                readOnly: true
              created_by:
                type: string
                description: User id of the user who created the resource
                readOnly: true
    BadRequest:
      description: Bad / Invalid request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    AccessForbidden:
      description: Access forbidden, invalid JWT token was used
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource was not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    JWT:
      type: http
      description: >
        Bearer authentication (token authentication) should be used for
        accessing the API.


        Use [Get Token](/api-reference/authenticate/aid_auths_oauth_token_post)
        to get an access token for client credentials.

        Pass the token in the request header:

            Authorization: Bearer {access_token}

        where the **access_token** is JSON Web Tokens (JWT).
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.